Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages

### - p -

- p : Lucene::FreqProxFieldMergeState , Lucene::FuzzyTermEnum , Lucene::TermsHashPerField
- parser : Lucene::ByteFieldSource , Lucene::DoubleComparator , Lucene::IntComparator , Lucene::DoubleFieldSource , Lucene::LongComparator , Lucene::IntFieldSource , Lucene::FieldCacheRangeFilter , Lucene::SortField , Lucene::ByteComparator
- partial : Lucene::IndexStatus
- pauseThreads : Lucene::DocumentsWriter
- payload : Lucene::Token , Lucene::PayloadAttribute
- payloadAttribute : Lucene::FreqProxTermsWriterPerField
- payloadBuffer : Lucene::FreqProxTermsWriter , Lucene::SegmentMerger
- payloadLength : Lucene::DefaultSkipListReader , Lucene::SegmentTermPositions
- payloadScore : Lucene::PayloadNearSpanScorer
- payloadsSeen : Lucene::PayloadNearSpanScorer
- pendingCommitChangeCount : Lucene::IndexWriter
- pendingMerges : Lucene::IndexWriter
- PER_DOC_BLOCK_SIZE : Lucene::DocumentsWriter
- perDocAllocator : Lucene::DocumentsWriter
- perDocTvf : Lucene::TermVectorsTermsWriterPerDoc
- phraseSlop : Lucene::QueryParser
- pointer : Lucene::SkipBuffer , Lucene::TermScorer , Lucene::MultiTermDocs , Lucene::LazyField
- POINTER_NUM_BYTE : Lucene::DocumentsWriter
- pointerMax : Lucene::TermScorer
- policy : Lucene::IndexFileDeleter
- pool : Lucene::ByteSliceReader , Lucene::ByteSliceWriter
- poolReaders : Lucene::IndexWriter
- pos : Lucene::SkipBuffer
- posIncrAtt : Lucene::NumericTokenStream , Lucene::StandardTokenizer , Lucene::StopFilter
- position : Lucene::PhrasePositions , Lucene::TermVectorsPositionInfo , Lucene::SegmentTermEnum , Lucene::SegmentTermPositions , Lucene::StringReader , Lucene::TermSpans
- positionIncrement : Lucene::PositionIncrementAttribute , Lucene::Token
- positions : Lucene::SpanFilterResult , Lucene::ParallelArrayTermVectorMapper , Lucene::MultiPhraseQuery , Lucene::PhraseQuery , Lucene::SegmentTermPositionVector , Lucene::PositionInfo , Lucene::TermSpans , Lucene::TermVectorEntry
- POSITIVE_PREFIX : Lucene::NumberTools
- posList : Lucene::MultipleTermPositions
- postings : Lucene::SegmentMergeInfo , Lucene::FreqProxFieldMergeState
- postingsAllocCount : Lucene::TermsHash
- postingsCompacted : Lucene::TermsHashPerField
- postingsFreeChunk : Lucene::TermsHash
- postingsFreeCount : Lucene::TermsHash
- postingsFreeList : Lucene::TermsHash
- postingsHash : Lucene::TermsHashPerField
- postingsHashHalfSize : Lucene::TermsHashPerField
- postingsHashMask : Lucene::TermsHashPerField
- postingsHashSize : Lucene::TermsHashPerField
- postingUpto : Lucene::FreqProxFieldMergeState
- posWriter : Lucene::FormatPostingsDocsWriter
- pq : Lucene::TopDocsCollector , Lucene::PhraseScorer
- pre : Lucene::WildcardTermEnum
- PRECISION_STEP_DEFAULT : Lucene::NumericUtils
- precisionStep : Lucene::NumericTokenStream , Lucene::NumericRangeQuery
- prefix : Lucene::PrefixQuery , Lucene::FuzzyTermEnum , Lucene::PrefixTermEnum
- prefixLength : Lucene::FuzzyQuery
- preLen : Lucene::WildcardTermEnum
- preLockless : Lucene::SegmentInfo
- prePopulate : Lucene::HitQueue
- preUTF8Strings : Lucene::TermBuffer , Lucene::IndexInput
- prevBuffer : Lucene::SegmentTermEnum
- primary : Lucene::TermsHashPerThread , Lucene::SnapshotDeletionPolicy
- primaryDir : Lucene::FileSwitchDirectory
- primaryExtensions : Lucene::FileSwitchDirectory
- prohibited : Lucene::SubScorer
- prohibitedMask : Lucene::BooleanScorer
- prohibitedScorers : Lucene::BooleanScorer2
- prox : Lucene::FreqProxFieldMergeState
- proxBasePointer : Lucene::SegmentTermDocs
- proxCount : Lucene::SegmentTermPositions
- proxOutput : Lucene::DefaultSkipListWriter
- proxPointer : Lucene::TermInfo , Lucene::DefaultSkipListReader
- proxStart : Lucene::FormatPostingsTermsWriter
- proxStream : Lucene::SegmentTermPositions

clucene.sourceforge.net